Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class Proxies

    java.lang.Object
      org.apache.openjpa.util.Proxies

Direct Known Subclasses:
  ProxyCollections, ProxyMaps

    public class Proxies

extends Object

Utility methods for managing proxies.

Author:
  Abe White

Constructor Summary
`Proxies()`

Method Summary
`static void` | `assertAllowedType(Object value, Class allowed)` Used by proxy types to check that an attempt to add a new value is legal.
`static void` | `dirty(Proxy proxy, boolean stopTracking)` Used by proxy types to dirty their owner.
`static boolean` | `isOwner(Proxy proxy, OpenJPAStateManager sm, int field)` Used by proxy types to check if the given owners and field names are equivalent.
`static void` | `removed(Proxy proxy, Object removed, boolean key)` Used by proxy types to notify collection owner on element removal.
`static Object` | `writeReplace(Proxy proxy, boolean detachable)` Used by proxy types to serialize non-proxy versions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Proxies

    public Proxies()

Method Detail

### isOwner

    public static boolean isOwner(Proxy proxy,
                                  OpenJPAStateManager sm,
                                  int field)

  Used by proxy types to check if the given owners and field names are equivalent.

### assertAllowedType

    public static void assertAllowedType(Object value,
                                         Class allowed)

  Used by proxy types to check that an attempt to add a new value is legal.

### dirty

    public static void dirty(Proxy proxy,
                             boolean stopTracking)

  Used by proxy types to dirty their owner.

### removed

    public static void removed(Proxy proxy,
                               Object removed,
                               boolean key)

  Used by proxy types to notify collection owner on element removal.

### writeReplace

    public static Object writeReplace(Proxy proxy,
                                      boolean detachable)

  Used by proxy types to serialize non-proxy versions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.